Skip to main content
POST
/
v1
/
incidents
/
{incident_id}
/
form_field_selections
Creates an incident form field selection
curl --request POST \
  --url https://api.rootly.com/v1/incidents/{incident_id}/form_field_selections \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/vnd.api+json' \
  --data '
{
  "data": {
    "type": "incident_form_field_selections",
    "attributes": {
      "incident_id": "<string>",
      "form_field_id": "<string>",
      "value": "<string>",
      "selected_catalog_entity_ids": [
        "<string>"
      ],
      "selected_group_ids": [
        "<string>"
      ],
      "selected_option_ids": [
        "<string>"
      ],
      "selected_service_ids": [
        "<string>"
      ],
      "selected_functionality_ids": [
        "<string>"
      ],
      "selected_user_ids": [
        123
      ],
      "selected_environment_ids": [
        "<string>"
      ],
      "selected_cause_ids": [
        "<string>"
      ],
      "selected_incident_type_ids": [
        "<string>"
      ]
    }
  }
}
'
{
  "data": {
    "id": "<string>",
    "type": "incident_form_field_selections",
    "attributes": {
      "incident_id": "<string>",
      "form_field_id": "<string>",
      "value": "<string>",
      "selected_catalog_entity_ids": [
        "<string>"
      ],
      "selected_group_ids": [
        "<string>"
      ],
      "selected_option_ids": [
        "<string>"
      ],
      "selected_service_ids": [
        "<string>"
      ],
      "selected_functionality_ids": [
        "<string>"
      ],
      "selected_user_ids": [
        123
      ],
      "selected_environment_ids": [
        "<string>"
      ],
      "selected_cause_ids": [
        "<string>"
      ],
      "selected_incident_type_ids": [
        "<string>"
      ]
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

incident_id
string
required

Body

application/vnd.api+json
data
object
required

Response

incident_form_field_selection created

data
object
required